Partially update the details of a specific webhook.
Request
Add parameter in header X-API-Key
Example:X-API-Key: ********************
or
Add the parameter Authorization
to Headers Example:Authorization: ********************
or
Body Params application/json
Request Code Samples
curl --location --request PATCH 'https://api.financialreports.eu/webhooks//' \
--header 'x-api-key;' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"is_active": false
}'
Responses
application/json
{
"id": 1,
"url": "https://api.your-domain.com/webhook-receiver",
"is_active": true,
"include_markdown": false,
"include_isins": false,
"trigger_on_filing_received": false,
"trigger_on_filing_processed": true,
"track_all_companies": false,
"subscribed_filing_types": [
"10-K",
"Annual Report"
],
"created_at": "2025-11-15T10:30:00+00:00",
"updated_at": "2025-11-15T10:30:00+00:00"
}
Modified at 2026-09-11 14:56:11